Skip to navigation

Add user signatures

View as Markdown

Adds a user signature image and/or user initials image to the specified user.

The userId property specified in the endpoint must match the authenticated user’s userId and the user must be a member of the account.

The rules and processes associated with this are:

  • If Content-Type is set to application/json, then the default behavior for creating a default signature image, based on the name and a DocuSign font, is used.
  • If Content-Type is set to multipart/form-data, then the request must contain a first part with the user signature information, followed by parts that contain the images.

For each Image part, the Content-Disposition header has a “filename” value that is used to map to the signatureName and/or signatureInitials properties in the JSON to the image.

For example: Content-Disposition: file; filename="Ron Test20121127083900"

If no matching image (by filename value) is found, then the image is not set. One, both, or neither of the signature and initials images can be set with this call.

The Content-Transfer-Encoding: base64 header, set in the header for the part containing the image, can be set to indicate that the images are formatted as base64 instead of as binary.

If successful, 200-OK is returned, and a JSON structure containing the signature information is provided, note that the signatureId can change with each API POST, PUT, or DELETE since the changes to the signature structure cause the current signature to be closed, and a new signature record to be created.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

userIdstringRequired

The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.

Request

This endpoint expects an object: userSignaturesInformation

userSignatureslist of objectsOptional

Response

Successful response.
userSignatureslist of objectsOptional

Errors

400
Bad Request Error